/**
 * Client for apeman api
 * @module apeman-api-client
 * @version 1.1.2
 */

'use strict'

const create = require('./create')
const load = require('./load')
const Client = require('./apeman_api_client')

let lib = create.bind(this)

Object.assign(lib, Client, {
  create,
  load,
  Client
})

module.exports = lib
