/**
 * Test case for eventSource.
 * Runs with mocha.
 */
'use strict'

const eventSource = require('../lib/events/event_source.js')
const assert = require('assert')
const co = require('co')

describe('event-source', function () {
  this.timeout(3000)

  before(() => co(function * () {

  }))

  after(() => co(function * () {

  }))

  it('Event source', () => co(function * () {
    let instance = eventSource('http://example.com', {
      foo () {

      }
    })
    assert.ok(instance)
    assert.ok(instance._events.foo)
  }))
})

/* global describe, before, after, it */
